#### D.4.18.12 isartinianMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  isartinianMon(I); I ideal.

Return:
  1, if ideal is artinian; 0, otherwise.
  (return -1 if ideal I is not a monmomial ideal).

Assume:
  I is a monomial ideal of the basering.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I = w^4,x^3,y^4,z^2,t^6,w^2*x^2*y,w*z*t^4,x^2*y^3,z^2*t^5;
    isartinianMon (I);
    ==> 1
    ideal J = w^4,x^3,y^4,z^2,w^2*x^2*y,w*z*t^4,x^2*y^3,z^2*t^5;
    isartinianMon (J);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.